---
sidebar_position: 2
description: Change kanban stage and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Change kanban stage
 Changes the properties of the existing kanban or My plan stage



`Function UpdateKanbansStage(Val URL, Val Name, Val StageID, Val Color = "", Val PrevStageID = 0, Val AsAdmin = False, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | Name | --title | String | &#x2714; | New stages name |
  | StageID | --stage | String, Number | &#x2714; | Stage ID for change |
  | Color | --color | String | &#x2716; | HEX of new stage color |
  | PrevStageID | --prevstage | String, Number | &#x2716; | Stage ID, after which the selected stage should be inserted |
  | AsAdmin | --admin | Boolean | &#x2716; | Allows you to add stages without checking permissions (for administrators) |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [task.stages.update](https://dev.1c-bitrix.ru/rest_help/tasks/task/kanban/task_stages_update.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Name    = "New stage name";
    Color   = "000000";
    StageID = "3342";

    URL = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";

    Result = OPI_Bitrix24.UpdateKanbansStage(URL, Name, StageID, Color);

    Name    = "New stage name 2";
    Color   = "000000";
    StageID = "3344";

    URL   = "b24-ar17wx.bitrix24.by";
    Token = "6ad03969006e9f06006b12e400000001000...";

    Result = OPI_Bitrix24.UpdateKanbansStage(URL, Name, StageID, Color, 6, True, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 UpdateKanbansStage \
             --url "b24-ar17wx.bitrix24.by" \
             --title "New stage name 2" \
             --stage 3348 \
             --color "000000" \
             --prevstage 6 \
             --admin true \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 UpdateKanbansStage ^
             --url "b24-ar17wx.bitrix24.by" ^
             --title "New stage name 2" ^
             --stage 3348 ^
             --color "000000" ^
             --prevstage 6 ^
             --admin true ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": true,
 "time": {
  "start": 1765396538,
  "finish": 1765396538.12855,
  "duration": 0.128550052642822,
  "processing": 0,
  "date_start": "2025-12-10T19:55:38+00:00",
  "date_finish": "2025-12-10T19:55:38+00:00",
  "operating_reset_at": 1765397138,
  "operating": 0
 }
}
```
